MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000996ATutorGlobalpublic2004-10-20 11:012006-11-20 05:04
Reporteruser2 
Assigned Touser2 
PrioritynormalSeverityfeatureReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version1.5.3.3 
Summary0000996: floating time stamp
Descriptionability to specify the time zone in the config file so that all times are converted to that time.

should be made easy if all dates/times go through AT_Date() which uses a timestamp.
TagsNo tags attached.
Affects versionSVN
SVN Revision#
Attached Files

- Relationships
parent of 0002807closed time zone notice 
child of 0002798closeduser2 timestamp 

-  Notes
(0002157)
greg (administrator)
2006-08-29 05:10

Also see
http://atutor.ca/view/7/8698/1.html [^]
(0002208)
user2
2006-10-20 06:15

http://www.securitypronews.com/it/applicationdevelopment/spn-19-20031113OnUserDefinedTimezonesinPHP.html [^]
(0002224)
greg (administrator)
2006-10-27 05:13

how about using

putenv("TZ=US/Eastern");

It seems to work fine. http://atutor.ca/view/7/8698/1.html [^]
(0002225)
user2
2006-10-30 05:08

^ that won't work b/c php isn't the problem. mysql is the problem.
(0002226)
greg (administrator)
2006-10-30 05:13

It does seem to work though. Try it. What are the limits of doing this way.
(0002229)
user2
2006-10-30 09:20

the auto-updating nature of timestamps will have to be disabled.

- Issue History
Date Modified Username Field Change
2004-10-20 11:01 user2 New Issue
2004-10-20 11:01 user2 Apache Version => 1.3.x
2004-10-20 11:01 user2 PHP Version => 4.3.2
2006-08-29 05:10 greg Note Added: 0002157
2006-08-29 05:52 user2 Affects version => SVN
2006-08-29 05:52 user2 Description Updated
2006-10-18 07:29 user2 Note Added: 0002203
2006-10-20 05:50 user2 Note Added: 0002207
2006-10-20 06:15 user2 Note Added: 0002208
2006-10-27 05:13 greg Note Added: 0002224
2006-10-30 05:08 user2 Note Added: 0002225
2006-10-30 05:09 user2 Note Deleted: 0002203
2006-10-30 05:09 user2 Note Deleted: 0002207
2006-10-30 05:13 greg Note Added: 0002226
2006-10-30 09:20 user2 Note Added: 0002229
2006-10-30 11:00 user2 Relationship added child of 0002798
2006-11-01 07:45 user2 Relationship added parent of 0002807
2006-11-01 08:11 user2 Status new => resolved
2006-11-01 08:11 user2 Fixed in Version => 1.5.4
2006-11-01 08:11 user2 Resolution open => fixed
2006-11-01 08:11 user2 Assigned To => user2
2006-11-20 05:04 user2 Status resolved => closed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker